"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.httpViaBackend = void 0;
const remote_api_1 = require("../remote-api");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
async function httpViaBackend(params, context) {
    return await (0, remote_api_1.fetchWeda)({
        action: 'ProcessConnectorInternalMethod',
        data: {
            method: params.methodName,
            dataSourceName: params.dataSourceName,
            params: params.params || {},
        },
    }).then(res => res.Data);
}
exports.httpViaBackend = httpViaBackend;
